// Loader
// $offset: 187;

/****** Slide animations ******/
.slide-left.ng-enter,
.slide-left.ng-leave,
.slide-right.ng-enter,
.slide-right.ng-leave {
  position: absolute;
  top: rem-calc(56); right: 0; bottom: 0; left: 0;
  background: inherit;
  -webkit-transition: 0.4s ease-out;
  transition:  0.4s ease-out;
}


.slide-left.ng-enter {
  z-index: 101;
  -webkit-transform: translateX(100%);
  transform: translateX(100%);
}

.slide-left.ng-enter.ng-enter-active {
  -webkit-transform: translateX(0);
  transform: translateX(0);
}

.slide-left.ng-leave {
  z-index: 100;
  -webkit-transform: translateX(0);
  transform: translateX(0);
}

.slide-left.ng-leave.ng-leave-active {
  -webkit-transform: translateX(-100%);
  transform: translateX(-100%);
}

.slide-right.ng-enter {
  z-index: 100;
  -webkit-transform: translateX(-100%);
  transform: translateX(-100%);
}

.slide-right.ng-enter.ng-enter-active {
  -webkit-transform: translateX(0);
  transform: translateX(0);
}

.slide-right.ng-leave {
  z-index: 101;
  -webkit-transform: translateX(0);
  transform: translateX(0);
} 

.slide-right.ng-leave.ng-leave-active {
  -webkit-transform: translateX(100%);
  transform: translateX(100%);
}

@-webkit-keyframes breathing {
  0% {opacity: .4;}
  50% {opacity: 1;}
  100% {opacity: .4;}
}

@keyframes breathing {
  0% {opacity: .4;}
  50% {opacity: 1;}
  100% {opacity: .4;}
}

.breathing {
  animation: breathing 3s linear infinite;
  -webkit-animation: breathing 3s linear infinite;
}



// @-webkit-keyframes colors {
//     0% { stroke: darken($brand-black-color, 1%); }
//     25% { stroke: darken($brand-pink-color, 1%); }
//     50% { stroke: darken($brand-pink-color, 20%); }
//     75% { stroke: darken($brand-blue-color, 1%); }
//     100% { stroke: darken($brand-blue-color, 20%); }
// }
// @keyframes colors {
//   0% { stroke: darken($brand-black-color, 1%); }
//   25% { stroke: darken($brand-pink-color, 1%); }
//   50% { stroke: darken($brand-pink-color, 20%); }
//   75% { stroke: darken($brand-blue-color, 1%); }
//   100% { stroke: darken($brand-blue-color, 20%); }
// }

// @-webkit-keyframes dash {
//     0% { stroke-dashoffset: $offset; 
//     }
//     50% {
//         stroke-dashoffset: $offset/4;
//         transform:rotate(135deg);
//     }
//     100% {
//         stroke-dashoffset: $offset;
//         transform:rotate(450deg);
//     }
// }
// @keyframes dash {
//     0% { stroke-dashoffset: $offset; 
//     }
//     50% {
//         stroke-dashoffset: $offset/4;
//         transform:rotate(135deg);
//     }
//     100% {
//         stroke-dashoffset: $offset;
//         transform:rotate(450deg);
//     }
// }


// .circularload {                
//     position:absolute;
//     top:rem-calc(6);
//     left:50%;
//     margin-left:-25px;
//     width:50px; 
//     height:50px;
//     -webkit-animation: rotation 1s linear infinite;
//     animation: rotation 1s linear infinite;
// }

// .path {
//     stroke-dasharray: $offset;
//     stroke-dashoffset: 0;
//     transform-origin: center;
//     -webkit-animation: 
//     dash ($duration*4) ease-in-out infinite, 
//     colors ($duration*4) ease-in-out infinite;  
//     animation: 
//     dash ($duration*4) ease-in-out infinite, 
//     colors ($duration*4) ease-in-out infinite;
// }

@-webkit-keyframes rotation {
    from {-webkit-transform: rotate(0deg);}
    to {-webkit-transform: rotate(360deg);}
}

@keyframes rotation {
    from {transform: rotate(0deg);}
    to {transform: rotate(360deg);}
}

